---
title: Gamepad.id
slug: Web/API/Gamepad/id
tags:
  - API
  - Gamepad API
  - Games
  - NeedsBetterSpecLink
  - NeedsMarkupWork
  - Property
  - Reference
  - Référence(2)
---
<div>{{APIRef("Gamepad API")}}</div>

<p>The<strong> <code>Gamepad.id</code></strong> property of the {{domxref("Gamepad") }} interface returns a string containing some information about the controller.</p>

<p>The exact syntax is not strictly specified, but in Firefox it will contain three pieces of information separated by dashes (<code>-</code>):</p>

<ul>
	<li>Two 4-digit hexadecimal strings containing the USB vendor and product id of the controller</li>
	<li>The name of the controller as provided by the driver.</li>
</ul>

<p>For example, a PS2 controller returned <strong>810-3-USB Gamepad</strong>.</p>

<p>This information is intended to allow you to find a mapping for the controls on the device as well as display useful feedback to the user.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><span class="idlInterface" id="idl-def-Gamepad"><span class="idlAttribute">readonly    attribute <span class="idlAttrType">DOMString</span>           <span class="idlAttrName">id</span>;</span></span></pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">window.addEventListener("gamepadconnected", function() {
  var gp = navigator.getGamepads()[0];
  gamepadInfo.innerHTML = "Gamepad connected at index " + gp.index + ": " + gp.id + ".";
});</pre>

<h2 id="Value">Value</h2>

<p>A {{domxref("string")}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName("Gamepad", "#dom-gamepad-id", "Gamepad.id")}}</td>
			<td>{{Spec2("Gamepad")}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Gamepad.id")}}</p>

<h2 id="See_also">See also</h2>

<p><a href="/en-US/docs/Web/Guide/API/Gamepad">Using the Gamepad API</a></p>
